#ifndef __LEVELX_H
#define __LEVELX_H

/*----------------------------------------------------------------- 
   LevelX DLL 
     operating system:      all
     I+ME interface board:  all
-----------------------------------------------------------------*/

/* !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
Note that the compiler must set on byte alignment!
For MS-C++ it is: 
Project Settings.C/C++.Struct member aligment = 1 Byte
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! */

#include <windows.h>
#include "lxgendef.h"  /* includes also "lxcanl2.h" */

typedef WORD tLxErr;
#define LXERR_OK                  ((tLxErr)0)
#define LXERR_RD_NO_OBJ_AVAILABLE ((tLxErr)1)
#define LXERR_WR_BUFFER_FULL      ((tLxErr)2)
#define LXERR_SET_EVENT           ((tLxErr)3)
#define LXERR_CHANNEL_OPEN        ((tLxErr)4)
#define LXERR_BOARDNUMBER         ((tLxErr)5)
#define LXERR_ILLEGALOBJECT       ((tLxErr)6)

typedef tLxErr (*tLXSETEVENT) (HANDLE Event);
typedef tLxErr (*tLXWROBJECT) (void *Object);
typedef tLxErr (*tLXRDOBJECT) (void *Object);

#endif